Jump to: navigation, search

Redis Prerequisite

Important
Starting in 9.0.005.15, Cassandra support is deprecated in Genesys Co-browse and Redis v3.x - 6.x is the default database for new customers. Support for Cassandra will be discontinued in a later release.
Important
Starting in 9.0.005.43, Redis 6.x is supported, and the following applies for TLS:
  • A TLS secured connection is supported for a single node Redis connection.
  • A wide range of TLS versions are supported, but availability of specific protocols depends on the OpenSSL library.
  • A TLS connection is useful when using a public network between Co-browse and Redis or as an additional level of security for an internal network.
  • Co-browse does not provide Redis with SSL secured configuration, however SSL-tunnel based Redis works with Co-browse.

New customers

  1. Set up Redis v3.x - 6.x before installing Co-browse.
  2. Set the mandatory [redis] configuration options.

Existing customers that are migrating

  1. Set up Redis v3.x - 6.x before upgrading Co-browse to the new version.
  2. Set the mandatory [redis] configuration options.
Warning
  • Data is not migrated.
  • During the upgrade process, any current Co-browse sessions will be lost, along with the history data.

Existing customers staying on Cassandra

  1. Open the setenv.bat/sh file (depending on OS).
  2. Locate -DCOBROWSE_APP_MODE=redis
  3. Replace with -DCOBROWSE_APP_MODE=cassandra
  4. Reinstall the Windows service (if used):
cobrowse.bat -host <Config server host> -port <Config server port> -app <application name> -service <Windows service name> remove
cobrowse.bat -host <Config server host> -port <Config server port> -app <application name> -service <Windows service name> install
This page was last edited on August 17, 2020, at 14:50.
blog comments powered by Disqus